<template>
  <div>
    <h2>Tipo Interno</h2>
    <div class="row mb-5">
      <div class="col-md-6">
        <h3>Ênfase Primária</h3>
        <br-sign-in type="primary" density="middle" icon="user" label="Entrar"></br-sign-in>
      </div>
      <div class="col-md-6">
        <h3>Ênfase Secundária</h3>
        <br-sign-in type="secondary" density="middle" icon="user" label="Entrar"></br-sign-in>
      </div>
    </div>
    <br-divider></br-divider>
    <h2>Tipo Externo</h2>
    <div class="row mb-5">
      <div class="col-md-6">
        <h3>Ênfase Primária com Texto</h3>
        <br-sign-in type="primary" density="middle" label="Entrar com" entity="gov.br"></br-sign-in>
      </div>
      <div class="col-md-6">
        <h3>Ênfase Secundária com Imagem</h3>
        <br-sign-in
          type="secondary"
          density="middle"
          label="Entrar com"
          image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
        ></br-sign-in>
      </div>
    </div>
    <br-divider></br-divider>
    <h2>Tipo Icônico</h2>
    <div class="row mb-5">
      <div class="col-md-6">
        <h3>Ênfase Primária</h3>
        <br-sign-in type="primary" density="middle" icon="user"></br-sign-in>
      </div>
      <div class="col-md-6">
        <h3>Ênfase Secundária</h3>
        <br-sign-in type="secondary" density="middle" icon="user"></br-sign-in>
      </div>
    </div>
    <br-divider></br-divider>
    <h2>Densidades</h2>
    <div class="row mb-5">
      <div class="col-md-4">
        <h3>Alta</h3>
        <br-sign-in
          type="primary"
          density="small"
          label="Entrar com"
          image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          entity="gov.br"
        ></br-sign-in>
      </div>
      <div class="col-md-4">
        <h3>Média</h3>
        <br-sign-in
          type="primary"
          density="middle"
          label="Entrar com"
          image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          entity="gov.br"
        ></br-sign-in>
      </div>
      <div class="col-md-4">
        <h3>Baixa</h3>
        <br-sign-in
          type="primary"
          density="large"
          label="Entrar com"
          image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          entity="gov.br"
        ></br-sign-in>
      </div>
    </div>
    <br-divider></br-divider>
    <h2>Fundo Escuro</h2>
    <div class="row mb-5">
      <div class="col-md-6">
        <h3>Ênfase Primária</h3>
        <div class="p-3 bg-primary-darken-02">
          <br-sign-in
            inverted
            type="primary"
            density="middle"
            label="Entrar com"
            image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          ></br-sign-in>
        </div>
      </div>
      <div class="col-md-6">
        <h3>Ênfase Secundária</h3>
        <div class="p-3 bg-primary-darken-02">
          <br-sign-in
            inverted
            type="secondary"
            density="middle"
            label="Entrar com"
            image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          ></br-sign-in>
        </div>
      </div>
    </div>
    <br-divider></br-divider>
    <h2>Comportamento Bloco</h2>
    <div class="row mb-3">
      <div class="col-md-6">
        <h3>Ênfase Primária</h3>
        <br-sign-in
          block
          type="primary"
          density="middle"
          label="Entrar com"
          image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          entity="gov.br"
        ></br-sign-in>
      </div>
      <div class="col-md-6">
        <h3>Ênfase Secundária</h3>
        <br-sign-in
          block
          type="secondary"
          density="middle"
          label="Entrar com"
          image="{ 'url': 'https://www.gov.br/++theme++padrao_govbr/img/govbr-colorido-b.png', 'description': 'gov.br' }"
          entity="gov.br"
        ></br-sign-in>
      </div>
    </div>
  </div>
</template>
